#pragma once
#include "Entity.h"
class CS_AmTornado :
    public ActionEntity
{
public:
    CS_AmTornado(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void AttackEffectObject(std::weak_ptr<Entity> target, float centerX, float centerY, int realDamage) override;
    int boot_counter = 0;//启动时间
    int appear_counter = 0;//出现时间
    int disappear_counter = 0;//消失时间
    int disappear_counter_max = 0;//消失时间
    bool bLeave = false;
};

